> ## Documentation Index
> Fetch the complete documentation index at: https://docs.8dx.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post api orderscancel

> POST cancel order



## OpenAPI

````yaml /openapi.yaml post /api/{blockchain}/orders/cancel
openapi: 3.1.0
info:
  title: swap-8dx
  description: ''
  license:
    name: ''
  version: 0.1.0
servers:
  - url: https://swap.ggp.gg
  - url: https://8dx.io
security: []
tags:
  - name: swap
    description: Swap API endpoints
  - name: approve
    description: Approve (Permit) API endpoints
  - name: explorer
    description: Explorer API endpoints
  - name: order
    description: Limit Order API endpoints
  - name: healthcheck
    description: Health Check API endpoints
paths:
  /api/{blockchain}/orders/cancel:
    post:
      tags:
        - order
      description: POST cancel order
      operationId: cancel_order
      parameters:
        - name: blockchain
          in: path
          required: true
          schema:
            type: string
            enum:
              - ethereum
              - bsc
              - arbitrum
      requestBody:
        description: Cancel order params with hash and signature
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CancelOrderBody'
        required: true
      responses:
        '200':
          description: Cancel order
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CancelOrderResponse'
        '400':
          description: Bad request error from HTTP server
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                BadRequest:
                  summary: Bad request
                  value:
                    code: 400
                    error: string
        '408':
          description: Request timeout error from HTTP server
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                RequestTimeout:
                  summary: Request timeout
                  value:
                    code: 408
                    error: string
        '500':
          description: Internal server error from HTTP server
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                Internal:
                  summary: Internal
                  value:
                    code: 500
                    error: string
components:
  schemas:
    CancelOrderBody:
      type: object
      required:
        - orderHash
        - maker
        - deadline
        - signature
      properties:
        deadline:
          type: integer
          format: int64
          description: Deadline in seconds
          minimum: 0
        maker:
          type: string
          description: Maker wallet or contract address
        orderHash:
          type: string
          description: Order hash (id in bytes32)
        signature:
          type: string
          description: Signature of the limit order typed data (using signTypedData_v4)
    CancelOrderResponse:
      type: object
      required:
        - orderHash
      properties:
        orderHash:
          type: string
          description: Order hash (id in bytes32)
    ErrorResponse:
      type: object
      required:
        - error
        - code
      properties:
        code:
          type: integer
          format: int32
          minimum: 0
        error:
          type: string

````